[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvasState

## Declaration

Source position: graphics.pp line 171

`type TCanvasState = set of (`
`csHandleValid,` |  |
`csFontValid,` |  |
`csPenvalid,` |  |
`csBrushValid,` |  |
`csRegionValid` |  |
`);`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.